import keystone
import pypcode

ctx = pypcode.Context("AARCH64:LE:64:AppleSilicon")

asm = "blr x8"

ks = keystone.Ks(keystone.KS_ARCH_ARM64, keystone.KS_MODE_LITTLE_ENDIAN)

instr_bytes, count = ks.asm(asm, as_bytes=True)
assert type(instr_bytes) is bytes
assert count == 1

ins = ctx.disassemble(instr_bytes).instructions[0]

print(f"{ins.mnem} {ins.body}:")

ops = ctx.translate(instr_bytes).ops
for op in ops:
    print(pypcode.PcodePrettyPrinter.fmt_op(op))
